# Summary

A single sentence that describes the changes in this Pull Request.

# Detail

Additional detail about the changes in this Pull Request (e.g. what bug or feature it addresses).

Tag any relevant existing issues.

# Checklist

If you would like your code to be merged into master and released, please complete this checklist and raise a Pull Request.

- [ ] Review commit history and ensure messages follow best practice (short, imperative, well written, combine commits where appropriate).
- [ ] Ensure branch is up-to-date with master before raising a Pull Request (e.g. run `git rebase origin/master`).
- [ ] Ensure commit history does not include any merges (use rebase, not merge).
- [ ] Ensure all existing unit tests still run and pass.
- [ ] Add additional unit test coverage where possible.
- [ ] Keeping dependancies up to date and running `npm audit fix` to fix flagged issues is appreciated.
- [ ] Respect existing conventions (e.g. this repository uses JavaScript not Typescript, and NPM not yarn).

NB: If you just want to discuss a proposed change or if are still going through the checklist, you can raise a Draft Pull Request without going through the checklist first.

